'use strict';

const Sequelize = require('sequelize');
const sequelize = require('../lib/database').sequelize;

const User = require('./user').User;

const Person = sequelize.define('person', {
  name: {
    type: Sequelize.STRING,
    allowNull: false
  },
  telephone: {
    type: Sequelize.STRING,
    allowNull: false
  },
  birthday: {
    type: Sequelize.DATE,
    allowNull: true
  }
});

Person.belongsTo(User, {
  as: 'User'
});

module.exports = {
  Person
};
