'use strict';

const Sequelize = require('sequelize');
const sequelize = require('../lib/database').sequelize;
const Role = require('./role').Role;
const Privilege = require('./privilege').Privilege;

const RolePrivilege = sequelize.define('role_privilege', {
  id: {
    type: Sequelize.INTEGER,
    primaryKey: true,
    autoIncrement: true
  },
  roleId: {
    type: Sequelize.INTEGER,
    unique: 'role_privilege'
  },
  privilegeId: {
    type: Sequelize.INTEGER,
    unique: 'role_privilege'
  }
});

Role.belongsToMany(Privilege, {
  through: {
    model: RolePrivilege,
    unique: false
  },
  foreignKey: 'privilege_id'
});

Privilege.belongsToMany(Role, {
  through: {
    model: RolePrivilege,
    unique: false
  },
  foreignKey: 'role_id'
});

module.exports = {
  RolePrivilege
};
