'use strict';

const Sequelize = require('sequelize');
const sequelize = require('../lib/database').sequelize;
const User = require('./user').User;
const Role = require('./role').Role;

const UserRole = sequelize.define('user_role', {
  id: {
    type: Sequelize.INTEGER,
    primaryKey: true,
    autoIncrement: true
  },
  userId: {
    type: Sequelize.INTEGER,
    unique: 'user_role'
  },
  roleId: {
    type: Sequelize.INTEGER,
    unique: 'user_role'
  }
});

User.belongsToMany(Role, {
  through: {
    model: UserRole,
    unique: false,
  },
  foreignKey: 'role_id'
});

Role.belongsToMany(User, {
  through: {
    model: UserRole,
    unique: false,
  },
  foreignKey: 'user_id'
});

module.exports = {
  UserRole
};
