'use strict';

const { ExpressionType } = require('../expr/common');

function isRegexCondition(condition) {
  const keys = Object.keys(condition);

  return keys.length === 1 && keys[0] === '$regex';
}

function generateRegexExpressions(condition, key, concatOperator, expressions) {
  const value = condition['$regex'];

  if ( typeof value !== 'string' ) {
    throw new Error('Value of $regex must be a regex string');
  }

  const sqlOp = 'REGEXP';
  expressions.push({
    type: ExpressionType.Expression,
    key: key,
    op: sqlOp,
    placeholder: '?',
    value: value
  });

  expressions.push({
    type: ExpressionType.Operator,
    key: concatOperator
  });

  return expressions;
}

module.exports = {
  isRegexCondition,
  generateRegexExpressions
};
